From e78c8f1ccf048f2cb6b7ce30abc494dcff4a118a Mon Sep 17 00:00:00 2001
From: David Lehman <dlehman@redhat.com>
Date: Tue, 8 Jan 2013 18:30:39 -0600
Subject: [PATCH 05/11] Remove unused functions and move storage-specific
 utils to storage.

This is the first pass at setting things up to split storage out into
a separate package.

It replaces the guts of iutil.execWithRedirect and iutil.execWithCapture
with a single backend function, _run_program. The main thing I can think
of that might be cause for complaint is that _run_program does not log
each output line as the external program outputs it, so you get the whole
output buffer at once. Storage gets its own copy of _run_program and
all of the calls in storage use the copy from storage.util.

The reason I moved all of the iutil arch functions into storage is that
they are mostly used in storage and I didn't want there to be two copies
of the whole set.

The rest is removing of unused things and moving of things only used by
storage into storage.
---
 anaconda                                |    6 +-
 configure.ac                            |   12 -
 pyanaconda/__init__.py                  |    4 +-
 pyanaconda/anaconda_log.py              |   48 +--
 pyanaconda/image.py                     |   29 +-
 pyanaconda/isys/Makefile.am             |    8 +-
 pyanaconda/isys/__init__.py             |  255 +---------
 pyanaconda/isys/imount.c                |  257 ----------
 pyanaconda/isys/imount.h                |   42 --
 pyanaconda/isys/isys.c                  |  294 +-----------
 pyanaconda/isys/mem.h                   |   11 -
 pyanaconda/iutil.py                     |  819 ++-----------------------------
 pyanaconda/kickstart.py                 |    3 +-
 pyanaconda/network.py                   |    5 +-
 pyanaconda/packaging/__init__.py        |   14 +-
 pyanaconda/packaging/livepayload.py     |    6 +-
 pyanaconda/packaging/yumpayload.py      |   22 +-
 pyanaconda/platform.py                  |   28 +-
 pyanaconda/storage/__init__.py          |   74 ++--
 pyanaconda/storage/arch.py              |  315 ++++++++++++
 pyanaconda/storage/dasd.py              |   24 +-
 pyanaconda/storage/devicelibs/btrfs.py  |   13 +-
 pyanaconda/storage/devicelibs/crypto.py |    1 -
 pyanaconda/storage/devicelibs/dm.py     |   17 +-
 pyanaconda/storage/devicelibs/loop.py   |   12 +-
 pyanaconda/storage/devicelibs/lvm.py    |   18 +-
 pyanaconda/storage/devicelibs/mdraid.py |   20 +-
 pyanaconda/storage/devicelibs/mpath.py  |   16 +-
 pyanaconda/storage/devicelibs/swap.py   |   13 +-
 pyanaconda/storage/devices.py           |   67 +--
 pyanaconda/storage/devicetree.py        |   14 +-
 pyanaconda/storage/fcoe.py              |   32 +-
 pyanaconda/storage/flags.py             |   98 ++++
 pyanaconda/storage/formats/__init__.py  |   12 +-
 pyanaconda/storage/formats/disklabel.py |    9 +-
 pyanaconda/storage/formats/dmraid.py    |    8 +-
 pyanaconda/storage/formats/fs.py        |   90 ++--
 pyanaconda/storage/formats/luks.py      |    2 +-
 pyanaconda/storage/formats/lvmpv.py     |    2 +-
 pyanaconda/storage/formats/mdraid.py    |    7 +-
 pyanaconda/storage/formats/multipath.py |    2 +-
 pyanaconda/storage/formats/swap.py      |    4 +-
 pyanaconda/storage/iscsi.py             |   34 +-
 pyanaconda/storage/partitioning.py      |    3 -
 pyanaconda/storage/storage_log.py       |   46 ++
 pyanaconda/storage/udev.py              |    4 +-
 pyanaconda/storage/util.py              |  272 ++++++++++
 pyanaconda/storage/zfcp.py              |    6 +-
 pyanaconda/timezone.py                  |    3 +-
 tests/pyanaconda_test/network_test.py   |    8 +-
 50 files changed, 1084 insertions(+), 2025 deletions(-)
 delete mode 100644 pyanaconda/isys/imount.c
 delete mode 100644 pyanaconda/isys/imount.h
 create mode 100644 pyanaconda/storage/arch.py
 create mode 100644 pyanaconda/storage/flags.py
 create mode 100644 pyanaconda/storage/storage_log.py
 create mode 100644 pyanaconda/storage/util.py

diff --git a/anaconda b/anaconda
index 032b35d..ca4961d 100755
--- a/anaconda
+++ b/anaconda
@@ -409,13 +409,15 @@ def setupDisplay(anaconda, opts, addon_paths=None):
     from pyanaconda.ui.tui.spokes.askvnc import AskVNCSpoke
     from pykickstart.constants import DISPLAY_MODE_TEXT
     from pyanaconda import network
+    from pyanaconda.storage import arch
+    from pyanaconda.storage import util
 
     graphical_failed = 0
     vncS = vnc.VncServer()          # The vnc Server object.
     vncS.anaconda = anaconda
 
     anaconda.displayMode = opts.display_mode
-    anaconda.isHeadless = opts.isHeadless or iutil.isS390()
+    anaconda.isHeadless = opts.isHeadless or arch.isS390()
 
     if opts.vnc:
         flags.usevnc = 1
@@ -456,7 +458,7 @@ def setupDisplay(anaconda, opts, addon_paths=None):
             vncS.vncconnectport = anaconda.ksdata.vnc.port
 
     # disable VNC over text question when not enough memory is available
-    if iutil.memInstalled() < isys.MIN_GUI_RAM:
+    if util.total_memory() < isys.MIN_GUI_RAM:
         flags.vncquestion = False
 
     # disable VNC question if text mode is requested and this is a ks install
diff --git a/configure.ac b/configure.ac
index e78e00d..f43a012 100644
--- a/configure.ac
+++ b/configure.ac
@@ -49,18 +49,6 @@ AC_CHECK_LIB([audit], [audit_open],
              [AC_SUBST(AUDIT_LIBS, [-laudit])],
              [AC_MSG_FAILURE([*** libaudit not usable.])])
 
-AC_CHECK_LIB([blkid], [blkid_get_cache],
-             [AC_SUBST(BLKID_LIBS, [-lblkid])],
-             [AC_MSG_FAILURE([*** libblkid not usable.])])
-
-AC_CHECK_LIB([ext2fs], [ext2fs_initialize],
-             [AC_SUBST(EXT2FS_LIBS, [-lext2fs])],
-             [AC_MSG_FAILURE([*** libext2fs not usable.])])
-
-AC_CHECK_LIB([iscsi], [libiscsi_get_firmware_network_config],
-             [AC_SUBST(ISCSI_LIBS, [-liscsi])],
-             [AC_MSG_FAILURE([*** libiscsi not usable.])])
-
 AC_CHECK_LIB([z], [zlibVersion],
              [AC_SUBST(ZLIB_LIBS, [-lz])],
              [AC_MSG_FAILURE([*** libz not usable.])])
diff --git a/pyanaconda/__init__.py b/pyanaconda/__init__.py
index 0b88edf..b217547 100644
--- a/pyanaconda/__init__.py
+++ b/pyanaconda/__init__.py
@@ -30,7 +30,7 @@
 
 import os, time, string
 import sys
-import iutil
+from pyanaconda.storage import arch
 import isys
 from constants import ROOT_PATH
 from tempfile import mkstemp
@@ -71,7 +71,7 @@ class Anaconda(object):
         self.rescue = False
         self.rescue_mount = True
         self.rootParts = None
-        self.simpleFilter = not iutil.isS390()
+        self.simpleFilter = not arch.isS390()
         self.stage2 = None
         self._storage = None
         self.updateSrc = None
diff --git a/pyanaconda/anaconda_log.py b/pyanaconda/anaconda_log.py
index 04e4efc..4391927 100644
--- a/pyanaconda/anaconda_log.py
+++ b/pyanaconda/anaconda_log.py
@@ -22,7 +22,6 @@
 #            Michael Fulbright <msf@redhat.com>
 #
 
-import inspect
 import logging
 from logging.handlers import SysLogHandler, SYSLOG_UDP_PORT
 import os
@@ -31,7 +30,7 @@ import sys
 import types
 import warnings
 
-import iutil
+from pyanaconda.storage import arch
 from flags import flags
 
 DEFAULT_TTY_LEVEL = logging.INFO
@@ -48,6 +47,9 @@ STORAGE_LOG_FILE = "/tmp/storage.log"
 PACKAGING_LOG_FILE = "/tmp/packaging.log"
 ANACONDA_SYSLOG_FACILITY = SysLogHandler.LOG_LOCAL1
 
+from threading import Lock
+program_log_lock = Lock()
+
 logLevelMap = {"debug": logging.DEBUG, "info": logging.INFO,
                "warning": logging.WARNING, "error": logging.ERROR,
                "critical": logging.CRITICAL}
@@ -61,46 +63,6 @@ def setHandlersLevel(logger, level):
     map(lambda hdlr: hdlr.setLevel(level),
         filter (lambda hdlr: hasattr(hdlr, "autoSetLevel") and hdlr.autoSetLevel, logger.handlers))
 
-def function_name_and_depth():
-    IGNORED_FUNCS = ["function_name_and_depth",
-                     "log_method_call",
-                     "log_method_return"]
-    stack = inspect.stack()
-
-    for i, frame in enumerate(stack):
-        methodname = frame[3]
-        if methodname not in IGNORED_FUNCS:
-            return (methodname, len(stack) - i)
-
-    return ("unknown function?", 0)
-
-def log_method_call(d, *args, **kwargs):
-    classname = d.__class__.__name__
-    (methodname, depth) = function_name_and_depth()
-    spaces = depth * ' '
-    fmt = "%s%s.%s:"
-    fmt_args = [spaces, classname, methodname]
-
-    for arg in args:
-        fmt += " %s ;"
-        fmt_args.append(arg)
-
-    for k, v in kwargs.items():
-        fmt += " %s: %s ;"
-        if "pass" in k.lower() and v:
-            v = "Skipped"
-        fmt_args.extend([k, v])
-
-    logging.getLogger("storage").debug(fmt % tuple(fmt_args))
-
-def log_method_return(d, retval):
-    classname = d.__class__.__name__
-    (methodname, depth) = function_name_and_depth()
-    spaces = depth * ' '
-    fmt = "%s%s.%s returned %s"
-    fmt_args = (spaces, classname, methodname, retval)
-    logging.getLogger("storage").debug(fmt % fmt_args)
-
 class AnacondaSyslogHandler(SysLogHandler):
     def __init__(self,
                  address=('localhost', SYSLOG_UDP_PORT),
@@ -143,7 +105,7 @@ class AnacondaLog:
             logger.setLevel(logging.DEBUG)
             self.forwardToSyslog(logger)
             # Logging of basic stuff and storage to tty3.
-            if not iutil.isS390() and os.access(MAIN_LOG_TTY, os.W_OK):
+            if not arch.isS390() and os.access(MAIN_LOG_TTY, os.W_OK):
                 self.addFileHandler(MAIN_LOG_TTY, logger,
                                     fmtStr=TTY_FORMAT,
                                     autoLevel=True)
diff --git a/pyanaconda/image.py b/pyanaconda/image.py
index f18057e..6786082 100644
--- a/pyanaconda/image.py
+++ b/pyanaconda/image.py
@@ -17,19 +17,22 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-import isys, iutil
+import isys
 import os, os.path, stat, sys
+from pyanaconda.storage import util
 from constants import *
 
 from errors import *
 
+import pyanaconda.storage.arch
+
 import gettext
 _ = lambda x: gettext.ldgettext("anaconda", x)
 
 import logging
 log = logging.getLogger("anaconda")
 
-_arch = iutil.getArch()
+_arch = pyanaconda.storage.arch.getArch()
 
 def findFirstIsoImage(path):
     """
@@ -59,12 +62,12 @@ def findFirstIsoImage(path):
 
         log.debug("mounting %s on /mnt/install/cdimage", what)
         try:
-            isys.mount(what, "/mnt/install/cdimage", fstype="iso9660", readOnly=True)
-        except SystemError:
+            util.mount(what, "/mnt/install/cdimage", fstype="iso9660", options="ro")
+        except OSError:
             continue
 
         if not os.access("/mnt/install/cdimage/.discinfo", os.R_OK):
-            isys.umount("/mnt/install/cdimage", removeDir=False)
+            util.umount("/mnt/install/cdimage")
             continue
 
         log.debug("Reading .discinfo")
@@ -78,14 +81,14 @@ def findFirstIsoImage(path):
         if discArch != arch:
             log.warning("findFirstIsoImage: architectures mismatch: %s, %s" %
                         (discArch, arch))
-            isys.umount("/mnt/install/cdimage", removeDir=False)
+            util.umount("/mnt/install/cdimage")
             continue
 
         # If there's no repodata, there's no point in trying to
         # install from it.
         if not os.access("/mnt/install/cdimage/repodata", os.R_OK):
             log.warning("%s doesn't have repodata, skipping" %(what,))
-            isys.umount("/mnt/install/cdimage", removeDir=False)
+            util.umount("/mnt/install/cdimage")
             continue
 
         # warn user if images appears to be wrong size
@@ -96,7 +99,7 @@ def findFirstIsoImage(path):
                 raise exn
 
         log.info("Found disc at %s" % fn)
-        isys.umount("/mnt/install/cdimage", removeDir=False)
+        util.umount("/mnt/install/cdimage")
         return fn
 
     return None
@@ -149,8 +152,8 @@ def mountImageDirectory(method, storage):
 
         while True:
             try:
-                isys.mount(url, ISO_DIR, options=method.options)
-            except SystemError as e:
+                util.mount(url, ISO_DIR, fstype="nfs", options=method.options)
+            except OSError as e:
                 log.error("couldn't mount ISO source directory: %s" % e)
                 exn = MediaMountError(str(e))
                 if errorHandler.cb(exn) == ERROR_RAISE:
@@ -172,8 +175,8 @@ def mountImage(isodir, tree):
             image = os.path.normpath("%s/%s" % (isodir, image))
 
         try:
-            isys.mount(image, tree, fstype = 'iso9660', readOnly = True)
-        except SystemError:
+            util.mount(image, tree, fstype = 'iso9660', options="ro")
+        except OSError:
             exn = MissingImageError()
             if errorHandler.cb(exn) == ERROR_RAISE:
                 raise exn
@@ -211,7 +214,7 @@ def potentialHdisoSources(devicetree):
 
 def umountImage(tree):
     if os.path.ismount(tree):
-        isys.umount(tree, removeDir=False)
+        util.umount(tree)
 
 def unmountCD(dev):
     if not dev:
diff --git a/pyanaconda/isys/Makefile.am b/pyanaconda/isys/Makefile.am
index 3d521d7..35e9206 100644
--- a/pyanaconda/isys/Makefile.am
+++ b/pyanaconda/isys/Makefile.am
@@ -19,17 +19,17 @@
 
 pkgpyexecdir = $(pyexecdir)/py$(PACKAGE_NAME)
 
-ISYS_SRCS = devices.c imount.c lang.c \
+ISYS_SRCS = devices.c lang.c \
             isofs.c linkdetect.c vio.c ethtool.c eddsupport.c iface.c \
             auditd.c log.c mem.c
 
 dist_noinst_HEADERS = *.h
 
-ISYS_CFLAGS = -DVERSION='"$(PACKAGE_VERSION)"' $(NFS_CFLAGS) \
+ISYS_CFLAGS = -DVERSION='"$(PACKAGE_VERSION)"' \
               $(NETWORKMANAGER_CFLAGS) $(LIBNL_CFLAGS) $(LIBNM_GLIB_CFLAGS) \
               $(SELINUX_CFLAGS)
-ISYS_LIBS   = $(RESOLV_LIBS) $(EXT2FS_LIBS) $(ZLIB_LIBS) \
-              $(DEVMAPPER_LIBS) $(BLKID_LIBS) $(X11_LIBS) $(SELINUX_LIBS) \
+ISYS_LIBS   = $(RESOLV_LIBS) $(ZLIB_LIBS) \
+              $(DEVMAPPER_LIBS) $(X11_LIBS) $(SELINUX_LIBS) \
               $(LIBNL_LIBS) $(LIBNM_GLIB_LIBS)
 
 isysdir     = $(pkgpyexecdir)/isys
diff --git a/pyanaconda/isys/__init__.py b/pyanaconda/isys/__init__.py
index 995ae77..7d73836 100755
--- a/pyanaconda/isys/__init__.py
+++ b/pyanaconda/isys/__init__.py
@@ -37,11 +37,10 @@ import stat
 import posix
 import sys
 from pyanaconda import iutil
-import resource
+from pyanaconda.storage import arch
 import re
 import struct
 import dbus
-import selinux
 
 import logging
 log = logging.getLogger("anaconda")
@@ -72,12 +71,15 @@ NM_DEVICE_TYPE_ETHERNET = 1
 
 DBUS_PROPS_IFACE = "org.freedesktop.DBus.Properties"
 
-mountCount = {}
+if arch.getArch() in ("sparc", "ppc64"):
+    MIN_RAM = 768 * 1024
+    GUI_INSTALL_EXTRA_RAM = 512 * 1024
+else:
+    MIN_RAM = 512 * 1024
+    GUI_INSTALL_EXTRA_RAM = 0
 
-MIN_RAM = _isys.MIN_RAM
-MIN_GUI_RAM = _isys.MIN_GUI_RAM
-GUI_INSTALL_EXTRA_RAM = _isys.GUI_INSTALL_EXTRA_RAM
-EARLY_SWAP_RAM = _isys.EARLY_SWAP_RAM
+MIN_GUI_RAM = MIN_RAM + GUI_INSTALL_EXTRA_RAM
+EARLY_SWAP_RAM = 896 * 1024
 
 ## Get the amount of free space available under a directory path.
 # @param path The directory path to check.
@@ -85,151 +87,9 @@ EARLY_SWAP_RAM = _isys.EARLY_SWAP_RAM
 def pathSpaceAvailable(path):
     return _isys.devSpaceFree(path)
 
-## Mount a filesystem, similar to the mount system call.
-# @param device The device to mount.  If bindMount is True, this should be an
-#               already mounted directory.  Otherwise, it should be a device
-#               name.
-# @param location The path to mount device on.
-# @param fstype The filesystem type on device.  This can be disk filesystems
-#               such as vfat or ext3, or pseudo filesystems such as proc or
-#               selinuxfs.
-# @param readOnly Should this filesystem be mounted readonly?
-# @param bindMount Is this a bind mount?  (see the mount(8) man page)
-# @param remount Are we mounting an already mounted filesystem?
-# @return The return value from the mount system call.
-def mount(device, location, fstype = "ext2", readOnly = False,
-          bindMount = False, remount = False, options = None):
-    flags = None
-    location = os.path.normpath(location)
-    if not options:
-        opts = ["defaults"]
-    else:
-        opts = options.split(",")
-
-    # We don't need to create device nodes for devices that start with '/'
-    # (like '/usbdevfs') and also some special fake devices like 'proc'.
-    # First try to make a device node and if that fails, assume we can
-    # mount without making a device node.  If that still fails, the caller
-    # will have to deal with the exception.
-    # We note whether or not we created a node so we can clean up later.
-
-    if mountCount.has_key(location) and mountCount[location] > 0 and not remount:
-	mountCount[location] = mountCount[location] + 1
-	return
-
-    if readOnly or bindMount or remount:
-        if readOnly:
-            opts.append("ro")
-        if bindMount:
-            opts.append("bind")
-        if remount:
-            opts.append("remount")
-
-    flags = ",".join(opts)
-
-    log.debug("isys.py:mount()- going to mount %s on %s as %s with options %s" %(device, location, fstype, flags))
-    rc = _isys.mount(fstype, device, location, flags)
-
-    if not rc:
-	mountCount[location] = 1
-
-    return rc
-
-## Unmount a filesystem, similar to the umount system call.
-# @param what The directory to be unmounted.  This does not need to be the
-#             absolute path.
-# @param removeDir Should the mount point be removed after being unmounted?
-# @return The return value from the umount system call.
-def umount(what, removeDir = True):
-    what = os.path.normpath(what)
-
-    if not os.path.isdir(what):
-	raise ValueError, "isys.umount() can only umount by mount point"
-
-    if mountCount.has_key(what) and mountCount[what] > 1:
-	mountCount[what] = mountCount[what] - 1
-	return
-
-    log.debug("isys.py:umount()- going to unmount %s, removeDir = %s" % (what, removeDir))
-    rc = _isys.umount(what)
-
-    if removeDir and os.path.isdir(what):
-        try:
-            os.rmdir(what)
-        except:
-            pass
-
-    if not rc and mountCount.has_key(what):
-	del mountCount[what]
-
-    return rc
-
-## Disable swap.
-# @param path The full path of the swap device to disable.
-def swapoff (path):
-    return _isys.swapoff (path)
-
-## Enable swap.
-# @param path The full path of the swap device to enable.
-def swapon (path):
-    return _isys.swapon (path)
-
 def resetResolv():
     return _isys.resetresolv()
 
-def readFSUuid(device):
-    if not os.path.exists(device):
-        device = "/dev/%s" % device
-
-    label = _isys.getblkid(device, "UUID")
-    return label
-
-def readFSLabel(device):
-    if not os.path.exists(device):
-        device = "/dev/%s" % device
-
-    label = _isys.getblkid(device, "LABEL")
-    return label
-
-def readFSType(device):
-    if not os.path.exists(device):
-        device = "/dev/%s" % device
-
-    fstype = _isys.getblkid(device, "TYPE")
-    if fstype is None:
-        # FIXME: libblkid doesn't show physical volumes as having a filesystem
-        # so let's sniff for that.(#409321)
-        try:
-            fd = os.open(device, os.O_RDONLY)
-            buf = os.read(fd, 2048)
-        except:
-            return fstype
-        finally:
-            try:
-                os.close(fd)
-            except:
-                pass
-
-        if buf.startswith("HM"):
-            return "physical volume (LVM)"
-        for sec in range(0, 4):
-            off = (sec * 512) + 24
-            if len(buf) < off:
-                continue
-            if buf[off:].startswith("LVM2"):
-                return "physical volume (LVM)"
-    elif fstype == "lvm2pv":
-        return "physical volume (LVM)"
-    return fstype
-
-def ext2IsDirty(device):
-    label = _isys.e2dirty(device)
-    return label
-
-def ext2HasJournal(device):
-    hasjournal = _isys.e2hasjournal(device)
-    return hasjournal
-
 def modulesWithPaths():
     mods = []
     for modline in open("/proc/modules", "r"):
@@ -240,34 +100,6 @@ def modulesWithPaths():
         mods.extend(modPaths)
     return mods
 
-def driveUsesModule(device, modules):
-    """Returns true if a drive is using a prticular module.  Only works
-       for SCSI devices right now."""
-
-    if not isinstance(modules, ().__class__) and not \
-            isinstance(modules, [].__class__):
-        modules = [modules]
-
-    if device[:2] == "hd":
-        return False
-    rc = False
-    if os.access("/tmp/scsidisks", os.R_OK):
-        sdlist=open("/tmp/scsidisks", "r")
-        sdlines = sdlist.readlines()
-        sdlist.close()
-        for l in sdlines:
-            try:
-                # each line has format of:  <device>  <module>
-                (sddev, sdmod) = string.split(l)
-
-                if sddev == device:
-                    if sdmod in modules:
-                        rc = True
-                        break
-            except:
-                    pass
-    return rc
-
 def isPseudoTTY (fd):
     return _isys.isPseudoTTY (fd)
 
@@ -331,39 +163,6 @@ def getMacAddress(dev):
             raise
     return device_macaddr
 
-# Get a description string for a network device (e.g., eth0)
-def getNetDevDesc(dev):
-    from pyanaconda.baseudev import udev_get_device
-    desc = "Network Interface"
-
-    if dev == '' or dev is None:
-        return desc
-
-    bus = dbus.SystemBus()
-    nm = bus.get_object(NM_SERVICE, NM_MANAGER_PATH)
-    devlist = nm.get_dbus_method("GetDevices")()
-
-    for path in devlist:
-        device = bus.get_object(NM_SERVICE, path)
-        device_iface = dbus.Interface(device, DBUS_PROPS_IFACE)
-        device_props = device_iface.get_dbus_method("GetAll")(NM_DEVICE_IFACE)
-
-        if dev == device_props['Interface']:
-            # This is the sysfs path (for now).
-            udev_path = device_props['Udi']
-            dev = udev_get_device(udev_path[4:])
-
-            if dev is None:
-                log.debug("weird, we have a None dev with path %s" % path)
-            elif dev.has_key("ID_VENDOR_ENC") and dev.has_key("ID_MODEL_ENC"):
-                desc = "%s %s" % (dev["ID_VENDOR_ENC"], dev["ID_MODEL_ENC"])
-            elif dev.has_key("ID_VENDOR_FROM_DATABASE") and dev.has_key("ID_MODEL_FROM_DATABASE"):
-                desc = "%s %s" % (dev["ID_VENDOR_FROM_DATABASE"], dev["ID_MODEL_FROM_DATABASE"])
-
-            return desc
-
-    return desc
-
 # Determine if a network device is a wireless device.
 def isWirelessDevice(dev_name):
     bus = dbus.SystemBus()
@@ -435,40 +234,6 @@ def getIPAddresses(dev, version=4):
 
     return addresses
 
-## Get the correct context for a file from loaded policy.
-# @param fn The filename to query.
-def matchPathContext(fn):
-    con = None
-    try:
-        con = selinux.matchpathcon(os.path.normpath(fn), 0)[1]
-    except OSError as e:
-        log.info("failed to get default SELinux context for %s: %s" % (fn, e))
-    return con
-
-## Set the SELinux file context of a file
-# @param fn The filename to fix.
-# @param con The context to use.
-# @param instroot An optional root filesystem to look under for fn.
-def setFileContext(fn, con, instroot = '/'):
-    full_path = os.path.normpath("%s/%s" % (instroot, fn))
-    rc = False
-    if con is not None and os.access(full_path, os.F_OK):
-        try:
-            rc = (selinux.lsetfilecon(full_path, con) == 0)
-        except OSError as e:
-            log.info("failed to set SELinux context for %s: %s" % (full_path, e))
-    return rc
-
-## Restore the SELinux file context of a file to its default.
-# @param fn The filename to fix.
-# @param instroot An optional root filesystem to look under for fn.
-def resetFileContext(fn, instroot = '/'):
-    con = matchPathContext(fn)
-    if con:
-        if setFileContext(fn, con, instroot):
-            return con
-    return None
-
 def prefix2netmask(prefix):
     return _isys.prefix2netmask(prefix)
 
@@ -490,7 +255,7 @@ def isPaeAvailable():
         return isPAE
 
     isPAE = False
-    if not iutil.isX86():
+    if not arch.isX86():
         return isPAE
 
     f = open("/proc/cpuinfo", "r")
